Skip to main content
`Ctrl`+`K`

# caveman_graph

caveman_graph(l, k)

  Returns a caveman graph of `l` cliques of size `k`.

  Parameters:
    l int

      Number of cliques

    k int

      Size of cliques

  Returns:
    G NetworkX Graph

      caveman graph

  See also

  `connected_caveman_graph`

  Notes

  This returns an undirected graph, it can be converted to a directed graph using `nx.to_directed()`, or a multigraph using `nx.MultiGraph(nx.caveman_graph(l, k))`. Only the undirected version is described in [1] and it is unclear which of the directed generalizations is most useful.

  References

  [1]

  Watts, D. J. ‘Networks, Dynamics, and the Small-World Phenomenon.’ Amer. J. Soc. 105, 493-527, 1999.

  Examples

      >>> G = nx.caveman_graph(3, 3)